interface CodeBlockWithFilename {
    text: string;
    filename: string;
}
declare type CodeBlock = CodeBlockWithFilename;
export interface Processor {
    preprocess: (text: string, filename: string) => CodeBlock[];
}
declare type ScriptType = 'ts' | 'js';
declare type ScriptTypeOrNull = ScriptType | null;
export declare const getScriptType: (code: string) => ScriptTypeOrNull;
export declare const injectScriptType: (filename: string, scriptType: ScriptType) => string;
export declare const processor: Processor;
export {};
